Package org.eclipse.m2m.atl.emftvm.impl

# Class ModelFactoryImpl

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.ModelFactoryImpl

All Implemented Interfaces:
  `ModelFactory`

public class ModelFactoryImpl extends Object implements ModelFactory
Default implementation for `ModelFactory`.

## Constructor Summary

Constructors
Constructor
Description
`ModelFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`Metamodel`
`createMetamodel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Metamodel` for the given `Resource`.
`Model`
`createModel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Model` for the given `Resource`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelFactoryImpl

public ModelFactoryImpl()

## Method Details

### createModel

public Model createModel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Model` for the given `Resource`.

Specified by:
  `createModel` in interface `ModelFactory`
Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Model`

### createMetamodel

public Metamodel createMetamodel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Metamodel` for the given `Resource`.

Specified by:
  `createMetamodel` in interface `ModelFactory`
Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Metamodel`